Bug 1284100 - "dnf update" fails with SSL connect error. Security token missing
"dnf update" fails with SSL connect error. Security token missing
Status: CLOSED DUPLICATE of bug 1284095
Product: Fedora
Classification: Fedora
Component: nss (Show other bugs)
23
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 15:57 EST by Paul Johnson
Modified: 2015-11-22 13:03 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-21 06:20:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Johnson 2015-11-20 15:57:33 EST
When I do a "dnf update" (or any other dnf command that queries the repos) I get the following:

Error: Failed to synchronize cache for repo 'fedora' from 'https://mirrors.fedoraproject.org/metalink?repo=fedora-23&arch=x86_64': Cannot prepare internal mirrorlist: Curl error (35): SSL connect error for https://mirrors.fedoraproject.org/metalink?repo=fedora-23&arch=x86_64 [The security card or token does not exist, needs to be initialized, or has been removed.]

Version-Release number of selected component (if applicable):

dnf-1.1.4-1.fc23.noarch


How reproducible:

Every time.

Steps to Reproduce:
1. "dnf update"

Actual results:

See above.

Expected results:

DNF updates my machine.

Additional info:

This started just after updating dnf using "dnf update"
Comment 1 Paul Johnson 2015-11-21 06:11:33 EST
When I subsequently restarted Firefox it showed the same error on https, and also gave me an error code sec_error_no_token. Some googling on another device suggested that this is an nss error, so I've changed the affected package to nss.
Comment 2 Paul Johnson 2015-11-21 06:20:56 EST
This appears to be a dupe of 1284095.

*** This bug has been marked as a duplicate of bug 1284095 ***
Comment 3 Elio Maldonado Batiz 2015-11-22 13:03:07 EST
I can't reproduce the problem with either the current set
nss-3.21.0-1.0.fc23.x86_64
nss-softokn-3.21.0-1.0.fc23.x86_64
nss-util-3.21.0-1.0.fc23.x86_64
which I did via $ su -c 'dnf update nss-util nss-softokn nss'

or with the one currently in updates-testing. Following the instructions in 
https://bugzilla.redhat.com/show_bug.cgi?id=1284095#c10 I upgraded vua

$ su -c 'dnf --enablerepo=updates-testing update nss-softokn nss'
Password: 
Repository beaker-client is listed more than once in the configuration
Repository beaker-client-testing is listed more than once in the configuration
Last metadata expiration check performed 0:13:54 ago on Sun Nov 22 09:35:30 
2015.

(That's a prblem specific to my setup)

Dependencies resolved.
====================================================================================================================================
 Package                                 Arch                  Version                         Repository                      Size
====================================================================================================================================
Upgrading:
 nss                                     x86_64                3.21.0-1.1.fc23                 updates-testing                860 k
 nss-devel                               x86_64                3.21.0-1.1.fc23                 updates-testing                215 k
 nss-pkcs11-devel                        x86_64                3.21.0-1.1.fc23                 updates-testing                116 k
 nss-softokn                             x86_64                3.21.0-1.1.fc23                 updates-testing                314 k
 nss-softokn-devel                       x86_64                3.21.0-1.1.fc23                 updates-testing                 28 k
 nss-softokn-freebl                      x86_64                3.21.0-1.1.fc23                 updates-testing                207 k
 nss-softokn-freebl-devel                x86_64                3.21.0-1.1.fc23                 updates-testing                 50 k
 nss-sysinit                             x86_64                3.21.0-1.1.fc23                 updates-testing                 56 k
 nss-tools                               x86_64                3.21.0-1.1.fc23                 updates-testing                493 k

Transaction Summary
====================================================================================================================================
Upgrade  9 Packages

Total download size: 2.3 M
Is this ok [y/N]: y
Downloading Packages:
[MIRROR] nss-tools-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirrors.rit.edu/fedora/fedora/linux/updates/testing/23/x86_64/n/nss-tools-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirrors.rit.edu/fedora/fedora/linux/updates/testing/23/x86_64/n/nss-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-devel-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirrors.rit.edu/fedora/fedora/linux/updates/testing/23/x86_64/n/nss-devel-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-tools-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://mirrors.rit.edu/fedora/fedora/linux/updates/testing/23/x86_64/n/nss-tools-3.21.0-1.1.fc23.x86_64.rpm
[MIRROR] nss-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://mirrors.rit.edu/fedora/fedora/linux/updates/testing/23/x86_64/n/nss-3.21.0-1.1.fc23.x86_64.rpm
[MIRROR] nss-devel-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://mirrors.rit.edu/fedora/fedora/linux/updates/testing/23/x86_64/n/nss-devel-3.21.0-1.1.fc23.x86_64.rpm
[MIRROR] nss-tools-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-tools-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-devel-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-devel-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-tools-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-tools-3.21.0-1.1.fc23.x86_64.rpm
[MIRROR] nss-devel-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-devel-3.21.0-1.1.fc23.x86_64.rpm
[MIRROR] nss-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-3.21.0-1.1.fc23.x86_64.rpm
[MIRROR] nss-tools-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.lstn.net/fedora/updates/testing/23/x86_64/n/nss-tools-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-devel-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.lstn.net/fedora/updates/testing/23/x86_64/n/nss-devel-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.lstn.net/fedora/updates/testing/23/x86_64/n/nss-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-3.21.0-1.1.fc23.x86_64.rpm: Downloading successful, but checksum doesn't match. Calculated: 882d1a3e0a173534b350296b1ade6b058fc4e55f8002751541342e675f9c67a9(sha256)  Expected: b9a29cafb38e3072b798ad2a6ffe8c86783e1258f386339cc357f3bc2fc70d62(sha256) 
[MIRROR] nss-tools-3.21.0-1.1.fc23.x86_64.rpm: Downloading successful, but checksum doesn't match. Calculated: 9170f95aba8356384cce8df6e3e4d056ae83f59a1f67b51c7bf28f92ebc9f190(sha256)  Expected: bcb996b59208c804c3f8927ec94b2da94276fd767af29e0ad81b94716c8d250b(sha256) 
[MIRROR] nss-devel-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://fedora.mirror.lstn.net/updates/testing/23/x86_64/n/nss-devel-3.21.0-1.1.fc23.x86_64.rpm
(1/9): nss-devel-3.21.0-1.1.fc23.x86_64.rpm                                                          38 kB/s | 215 kB     00:05    
[MIRROR] nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://mirrors.rit.edu/fedora/fedora/linux/updates/testing/23/x86_64/n/nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm
(2/9): nss-tools-3.21.0-1.1.fc23.x86_64.rpm                                                          83 kB/s | 493 kB     00:05    
(3/9): nss-3.21.0-1.1.fc23.x86_64.rpm                                                               133 kB/s | 860 kB     00:06    
[MIRROR] nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirrors.rit.edu/fedora/fedora/linux/updates/testing/23/x86_64/n/nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirrors.rit.edu/fedora/fedora/linux/updates/testing/23/x86_64/n/nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm
[MIRROR] nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm
[MIRROR] nss-softokn-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirrors.rit.edu/fedora/fedora/linux/updates/testing/23/x86_64/n/nss-softokn-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://fedora.mirror.lstn.net/updates/testing/23/x86_64/n/nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm
[MIRROR] nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm: Status code: 404 for http://fedora.mirror.lstn.net/updates/testing/23/x86_64/n/nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm
[MIRROR] nss-softokn-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.cs.pitt.edu/fedora/linux/updates/testing/23/x86_64/n/nss-softokn-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
[MIRROR] nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.lstn.net/fedora/updates/testing/23/x86_64/n/nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]

NOTE: There seems to be a problem with that mirror

(4/9): nss-sysinit-3.21.0-1.1.fc23.x86_64.rpm                                                       9.7 kB/s |  56 kB     00:05    
(5/9): nss-softokn-freebl-3.21.0-1.1.fc23.x86_64.rpm                                                696 kB/s | 207 kB     00:00    
(6/9): nss-softokn-devel-3.21.0-1.1.fc23.x86_64.rpm                                                 543 kB/s |  28 kB     00:00    
[MIRROR] nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.lstn.net/fedora/updates/testing/23/x86_64/n/nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
(7/9): nss-softokn-freebl-devel-3.21.0-1.1.fc23.x86_64.rpm                                          563 kB/s |  50 kB     00:00    
(8/9): nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64.rpm                                                   19 kB/s | 116 kB     00:06    
[MIRROR] nss-softokn-3.21.0-1.1.fc23.x86_64.rpm: Curl error (78): Remote file not found for ftp://mirror.lstn.net/fedora/updates/testing/23/x86_64/n/nss-softokn-3.21.0-1.1.fc23.x86_64.rpm [RETR response: 550]
(9/9): nss-softokn-3.21.0-1.1.fc23.x86_64.rpm                                                        51 kB/s | 314 kB     00:06    
------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                               172 kB/s | 2.3 MB     00:13     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Upgrading   : nss-softokn-freebl-3.21.0-1.1.fc23.x86_64                                                                      1/18 
  Upgrading   : nss-softokn-3.21.0-1.1.fc23.x86_64                                                                             2/18 
  Upgrading   : nss-sysinit-3.21.0-1.1.fc23.x86_64                                                                             3/18 
  Upgrading   : nss-3.21.0-1.1.fc23.x86_64                                                                                     4/18 
  Upgrading   : nss-softokn-freebl-devel-3.21.0-1.1.fc23.x86_64                                                                5/18 
  Upgrading   : nss-softokn-devel-3.21.0-1.1.fc23.x86_64                                                                       6/18 
  Upgrading   : nss-devel-3.21.0-1.1.fc23.x86_64                                                                               7/18 
  Upgrading   : nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64                                                                        8/18 
  Upgrading   : nss-tools-3.21.0-1.1.fc23.x86_64                                                                               9/18 
  Cleanup     : nss-tools-3.21.0-1.0.fc23.x86_64                                                                              10/18 
  Cleanup     : nss-pkcs11-devel-3.21.0-1.0.fc23.x86_64                                                                       11/18 
  Cleanup     : nss-devel-3.21.0-1.0.fc23.x86_64                                                                              12/18 
  Cleanup     : nss-softokn-devel-3.21.0-1.0.fc23.x86_64                                                                      13/18 
  Cleanup     : nss-sysinit-3.21.0-1.0.fc23.x86_64                                                                            14/18 
  Cleanup     : nss-3.21.0-1.0.fc23.x86_64                                                                                    15/18 
  Cleanup     : nss-softokn-freebl-devel-3.21.0-1.0.fc23.x86_64                                                               16/18 
  Cleanup     : nss-softokn-3.21.0-1.0.fc23.x86_64                                                                            17/18 
  Cleanup     : nss-softokn-freebl-3.21.0-1.0.fc23.x86_64                                                                     18/18 
  Verifying   : nss-3.21.0-1.1.fc23.x86_64                                                                                     1/18 
  Verifying   : nss-tools-3.21.0-1.1.fc23.x86_64                                                                               2/18 
  Verifying   : nss-devel-3.21.0-1.1.fc23.x86_64                                                                               3/18 
  Verifying   : nss-sysinit-3.21.0-1.1.fc23.x86_64                                                                             4/18 
  Verifying   : nss-pkcs11-devel-3.21.0-1.1.fc23.x86_64                                                                        5/18 
  Verifying   : nss-softokn-3.21.0-1.1.fc23.x86_64                                                                             6/18 
  Verifying   : nss-softokn-freebl-3.21.0-1.1.fc23.x86_64                                                                      7/18 
  Verifying   : nss-softokn-devel-3.21.0-1.1.fc23.x86_64                                                                       8/18 
  Verifying   : nss-softokn-freebl-devel-3.21.0-1.1.fc23.x86_64                                                                9/18 
  Verifying   : nss-softokn-devel-3.21.0-1.0.fc23.x86_64                                                                      10/18 
  Verifying   : nss-softokn-freebl-3.21.0-1.0.fc23.x86_64                                                                     11/18 
  Verifying   : nss-softokn-freebl-devel-3.21.0-1.0.fc23.x86_64                                                               12/18 
  Verifying   : nss-sysinit-3.21.0-1.0.fc23.x86_64                                                                            13/18 
  Verifying   : nss-tools-3.21.0-1.0.fc23.x86_64                                                                              14/18 
  Verifying   : nss-3.21.0-1.0.fc23.x86_64                                                                                    15/18 
  Verifying   : nss-devel-3.21.0-1.0.fc23.x86_64                                                                              16/18 
  Verifying   : nss-pkcs11-devel-3.21.0-1.0.fc23.x86_64                                                                       17/18 
  Verifying   : nss-softokn-3.21.0-1.0.fc23.x86_64                                                                            18/18 

Upgraded:
  nss.x86_64 3.21.0-1.1.fc23                                          nss-devel.x86_64 3.21.0-1.1.fc23                             
  nss-pkcs11-devel.x86_64 3.21.0-1.1.fc23                             nss-softokn.x86_64 3.21.0-1.1.fc23                           
  nss-softokn-devel.x86_64 3.21.0-1.1.fc23                            nss-softokn-freebl.x86_64 3.21.0-1.1.fc23                    
  nss-softokn-freebl-devel.x86_64 3.21.0-1.1.fc23                     nss-sysinit.x86_64 3.21.0-1.1.fc23                           
  nss-tools.x86_64 3.21.0-1.1.fc23                                   

Complete!

$ rpm -q nss nss-softokn nss-util
nss-3.21.0-1.1.fc23.x86_64
nss-softokn-3.21.0-1.1.fc23.x86_64
nss-util-3.21.0-1.0.fc23.x86_64

In spite of the problem reported with the mirror the update is complete.

Note You need to log in before you can comment on or make changes to this bug.